Subject: bug#18316: [PATCH] warn on too large file copies

From: Adam <[email-masked]>
Date: Fri, 22 Aug 2014 18:01:02 +0100

> In the other case UINTMAX_MAX is passed and so should be large
> enough for any regular file, though I suppose this is a
> theoretical concern if cp was being used between devices for example.
> I.E. it would stop without any error after about 19EB on
> both 32 and 64 bit platforms. That's the case you're trying to
> avoid here right, or is there a more practical concern?

Yes, this is what I meant. I know it's a rare scenario however I thought
I would still mention it as I can not see harm in adding a check in. 

Apologies for any confusion.

Thanks,
Adam